#include<stdio.h>
#include<stdlib.h>
#include<string.h>
    int main(){
            unsigned int i, a1, a2;
            char c1c2[8];
            scanf("%s", c1c2);
            scanf("%u%u", &a1, &a2);           
            if (abs(a1 - a2) < 2){
                if (a1 == a2){
                    for (i = 0; i < a1; i++){
                        printf("%s", c1c2);
                    }
                }
                else {
                    if (a1 > a2){
                        for (i = 0; i < a2; i++){
                        printf("%s", c1c2);
                        }
                        printf("%c", *c1c2);
                    }
                    else{
                        printf("%c", *(c1c2 + 1));
                        for (i = 0; i < a1; i++){
                            printf("%s", c1c2); 
                        }
                    }
                }
                
            }
            else{
                printf("nemoguce");
            }            
    }